GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
gridfire::exceptions::ReactionError Class Reference

Base class for all exceptions related to reaction operations. More...

`#include <error_reaction.h>`

Inheritance diagram for gridfire::exceptions::ReactionError:
[legend]
Collaboration diagram for gridfire::exceptions::ReactionError:
[legend]

## Public Member Functions
| ReactionError (const std::string &msg, const std::string &reactionId)
const char * | what () const noexcept override
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Private Attributes
std::string | m_message
std::string | m_reactionID

## Detailed Description

Base class for all exceptions related to reaction operations.

This exception is the parent for more specific reaction-related errors. Catching this type will catch any exception originating from reaction handling.

## Constructor & Destructor Documentation

## ◆ ReactionError()

gridfire::exceptions::ReactionError::ReactionError | ( | const std::string & | msg,
|  | const std::string & | reactionId
| ) |  |
| inline

## Member Function Documentation

## ◆ what()

const char * gridfire::exceptions::ReactionError::what | ( |  | ) | const
| inline override noexcept

## Member Data Documentation

## ◆ m_message

std::string gridfire::exceptions::ReactionError::m_message
| private

## ◆ m_reactionID

std::string gridfire::exceptions::ReactionError::m_reactionID
| private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_reaction.h